package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class IOConfigurationInstance {
    private Metadata metadata;
    private String maximumVirtualIoSlots;
    private ProfileIOSlots profileIoSlots;
    private ProfileVirtualIOAdapters profileVirtualIoAdapters;
    private String virtualOpticonnectPool;

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getMaximumVirtualIoSlots() {
        return maximumVirtualIoSlots;
    }

    public void setMaximumVirtualIoSlots(String maximumVirtualIoSlots) {
        this.maximumVirtualIoSlots = maximumVirtualIoSlots;
    }

    public ProfileIOSlots getProfileIoSlots() {
        return profileIoSlots;
    }

    public void setProfileIoSlots(ProfileIOSlots profileIoSlots) {
        this.profileIoSlots = profileIoSlots;
    }

    public ProfileVirtualIOAdapters getProfileVirtualIoAdapters() {
        return profileVirtualIoAdapters;
    }

    public void setProfileVirtualIoAdapters(ProfileVirtualIOAdapters profileVirtualIoAdapters) {
        this.profileVirtualIoAdapters = profileVirtualIoAdapters;
    }

    public String getVirtualOpticonnectPool() {
        return virtualOpticonnectPool;
    }

    public void setVirtualOpticonnectPool(String virtualOpticonnectPool) {
        this.virtualOpticonnectPool = virtualOpticonnectPool;
    }
}
